## EXPORT_SPEC int UpnpRenewSubscription

## ( IN UpnpClient_Handle Hnd,
INOUT int* TimeOut,
IN Upnp_SID SubsId )

> UpnpRenewSubscription renews a subscription that is about to expire.

## Documentation

> UpnpRenewSubscription renews a subscription that is about to expire. This function is synchronous.

Parameters:
  Hnd - The handle of the control point that is renewing the subscription.
  - TimeOut Pointer to a variable containing the requested subscription time. Upon return, it contains the actual renewal time.
  SubsId - The ID for the subscription to renew.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid control point handle.
  - `UPNP_E_INVALID_PARAM`: Timeout is not a valid pointer.
  - `UPNP_E_INVALID_SID`: The SID being passed to this function is not a valid subscription ID.
  - `UPNP_E_NETWORK_ERROR`: A network error occured.
  - `UPNP_E_SOCKET_WRITE`: An error or timeout occurred writing to a socket.
  - `UPNP_E_SOCKET_READ`: An error or timeout occurred reading from a socket.
  - `UPNP_E_SOCKET_BIND`: An error occurred binding a socket.
  - `UPNP_E_SOCKET_CONNECT`: An error occurred connecting to PublisherUrl.
  - `UPNP_E_OUTOF_SOCKET`: An error occurred creating a socket.
  - `UPNP_E_BAD_RESPONSE`: An error occurred in response from the publisher.
  - `UPNP_E_SUBSCRIBE_UNACCEPTED`: The publisher refused the subscription renew.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.